<?php
	if ( !is_user_logged_in() || !current_user_can('edit_posts') ) 
		wp_die(__( "You are not allowed to be here", 'twochop' ));
?>
<?php 
	$post_id = intval($_REQUEST['post_id']);
	$tc_action = '';
	
	if($post_id==0)
		wp_die(__( "You are not allowed to be here", 'twochop' ));
	
	if (!wp_verify_nonce($_POST['twochop_plugin_nonce'],'twochop_plugin') ) 
		wp_die(__( "You are not allowed to be here", 'twochop' ));

	function validate_twochop_id($tcid)
	{
		$patternid = "/^[0-9\|]+$/";
		$i7 = preg_match($patternid, $tcid);
		if($i7>=1) {
			return $tcid;
		}else {
			return '0';
		}
	}
	
	if($post_id!=''){
		$tcupdatekey = get_post_meta($post_id, 'twochop_public_updatekey', true);
		if($tcupdatekey==$_POST['twochop_updatekey'])
		{
			$tc_action = 'updated';
			update_post_meta($post_id, 'twochop_public_idtype', intval($_POST['twochop_idtype']));
			update_post_meta($post_id, 'twochop_public_id', validate_twochop_id($_POST['twochop_id']));
			update_post_meta($post_id, 'twochop_public_customdata', strip_tags($_POST['twochop_customdata']));
			update_post_meta($post_id, 'twochop_public_buttonstyle', strip_tags($_POST['twochop_buttonstyle']));

			update_post_meta($post_id, 'twochop_public_updatekey', '');
			update_post_meta($post_id, 'twochop_public_updatedatetime', '');
			
			if($_POST['twochop_wpkey'] != get_option('twochop_public_wpkey', ''))
			{
				update_option('twochop_public_wpkey', $_POST['twochop_wpkey']);
			}
		}else
		{
			update_post_meta($post_id, 'twochop_public_updatekey', '');
			update_post_meta($post_id, 'twochop_public_updatedatetime', '');
		
			wp_die(__( "You are not allowed to be here", 'twochop' ));
		}
		
	}
	
	$tc_idtype = $_POST['twochop_idtype'];
	$tc_id = $_POST['twochop_id'];
	$tc_customdata = $_POST['twochop_customdata'];
	$tc_buttonstyle = $_POST['twochop_buttonstyle'];
	$tc_reserved = $_POST['twochop_reserved'];
	
	$tc_optype = $_POST['twochop_optype'];
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
	<title>TwoChop Post-editor form</title>
	<link rel="Stylesheet" type="text/css" href="<?php echo twochop_public_play_URLPATH?>assets/wpplugin.css" />
	<script language="javascript" type="text/javascript" src="<?php echo twochop_public_play_URLPATH?>assets/wpplugin.js"></script>
	<style type="text/css">
        .tabSel {
            background-image:url('<?php echo twochop_public_play_URLPATH?>assets/tabSel.png');
        }
        
        .tabBhd {
            background-image:url('<?php echo twochop_public_play_URLPATH?>assets/tabBhd.png');
        }
	</style>
</head>
<body onload="postform_load();">

	<script type="text/javascript" language="javascript">

		jtc_optype = '<?php echo esc_js($tc_optype); ?>';
		jtc_action = '<?php echo esc_js($tc_action); ?>';
		jtc_idtype = '<?php echo esc_js($tc_idtype); ?>';
		jtc_id = '<?php echo esc_js($tc_id); ?>';
		jtc_reserved = '<?php echo esc_js($tc_reserved); ?>';
		
	</script>

    <div class="pageoutline">
        <div class="pagehead">
            TwoChop
        </div>

		<div class="tabOutline">
		<?php if ($tc_optype=='ed') : ?>
			<div class="tabBhd" style="left:20px;">NEW</div>
			<div class="tabSel" style="left:125px;">EDIT</div>
		<?php else : ?>
			<div class="tabSel" style="left:20px;">NEW</div>
			<div class="tabBhd" style="left:125px;">EDIT</div>
		<?php endif; ?>

        <div class="tabPage">
			<div id="dvHint" name="dvHint">&nbsp;</div>
			<div id="dvForm" name="dvForm">
				<div id="dvFormBody">
							TwoChop Play variables are saved for this post.<br>&nbsp;<br>
							<br>&nbsp;<br>
							Please close this dialog window.
				</div>
				<div id="dvFormFtr" style="display:none;">
					&nbsp;<br />&nbsp;<br />
					<input type="button" id="cmdActionClose" name="cmdActionClose" value="Close" onclick="closeDlgWin();" style="width:80px;height:30px;"/>
				</div>
			</div>
			<div id="dvPlayinfo" name="dvPlayinfo">
			<table cellspacing="0" class="form-table" width="100%">
				<tr>
					<td align="left" width="25%">IDType: <?php echo esc_html($tc_idtype); ?></td>
					<td align="left" width="25%">ID: <?php echo esc_html($tc_id); ?></td>
					<td align="left" width="25%">CustomData: <?php echo esc_html($tc_customdata); ?></td>
					<td align="left" width="25%">ButtonStyle: <?php echo esc_html($tc_buttonstyle); ?></td>
				</tr>
			</table>
			</div>
		</div>
    </div>

</body>
</html>
